- Development Integration
- /
- SDK
- /
- Python
- /
Authentication Module
- /
User Profile
- /
- Delete Account
¶ Logout
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
This endpoint is used for users to log out of their accounts on their own. Temporary credentials for logging out of accounts, deleteAccountToken, need to be provided. This parameter needs to be obtained through the Initiate Logout Request interface.
¶ Method name
AuthenticationClient.delete_account
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| deleteAccountToken | string | Yes | - | Token for deregistering an account |
¶ Request response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful, 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to obtain the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsSuccessDto | Whether the operation is successful |
Example result:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}
¶ Data structure
¶ IsSuccessDto
| Name | Type | Is it required | Description | Example value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |
